package org.firstinspires.ftc.teamcode;

public class PedroConstants {

    /*
        Robot parameters
    */

    // Robot motor configurations
    public static final String FRONT_LEFT_MOTOR = "Drive front lt";
    public static final String BACK_LEFT_MOTOR  = "Drive back lt";
    public static final String FRONT_RIGHT_MOTOR  = "Drive front rt";
    public static final String BACK_RIGHT_MOTOR  = "Drive back rt";

    // Robot IMU configuration
    public static final String IMU = "imu";

    // Robot Encoders
    public static final String LEFT_ENCODER = "encoder left";
    public static final String RIGHT_ENCODER = "encoder right";
    public static final String BACK_ENCODER = "encoder back";

    /*
        Pedro's parameters
    */

    // The weight of the robot in Kilograms
    public static final double ROBOT_WEIGHT_IN_KG = 8.5;

    // Maximum velocity of the robot going forward
    public static final double ROBOT_SPEED_FORWARD = 81.34056;

    // Maximum velocity of the robot going right
    public static final double ROBOT_SPEED_LATERAL = 65.43028;

    // Rate of deceleration when power is cut-off when the robot is moving forward
    public static final double FORWARD_ZERO_POWER_ACCEL = -34.62719;

    // Rate of deceleration when power is cut-off when the robot is moving to the right
    public static final double LATERAL_ZERO_POWER_ACCEL = -78.15554;

    // Determines how fast your robot will decelerate as a factor of how fast your robot will coast to a stop
    public static final double ZERO_POWER_ACCEL_MULT = 4;

    /* Centripetal force correction - increase if robot is correcting into the path
                                    - decrease if robot is correcting away from the path */
    public static final double CENTRIPETAL_SCALING = 0.0005;
}
